Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.net.server
Interface LogEventBridge<T extends InputStream>

Type Parameters:
  `T` - The kind of `InputStream` to wrap and read.

All Known Implementing Classes:
  AbstractLogEventBridge, InputStreamLogEventBridge, JsonInputStreamLogEventBridge, ObjectInputStreamLogEventBridge, XmlInputStreamLogEventBridge

    public interface LogEventBridge<T extends InputStream>

Reads `LogEvent`s from the given input stream and logs them as they are discovered on the given logger.

Should be stateless.

Method Summary
`void` | `logEvents(T inputStream, LogEventListener logEventListener)` Reads `LogEvent`s from the given input stream and logs them as they are discovered on the given logger.
`T` | `wrapStream(InputStream inputStream)` Wraps the given stream if needed.

Method Detail

### logEvents

    void logEvents(T inputStream,
                   LogEventListener logEventListener)
                   throws IOException

  Reads `LogEvent`s from the given input stream and logs them as they are discovered on the given logger.

  Parameters:
    `inputStream` - the input stream to read
    `logEventListener` - TODO
  Throws:
    `IOException`

### wrapStream

    T wrapStream(InputStream inputStream)
                                     throws IOException

  Wraps the given stream if needed.

  Parameters:
    `inputStream` - the stream to wrap
  Returns:
    the wrapped stream or the given stream.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.